import { EventEmitter, OnInit } from '@angular/core';
import { KoalaFileInterface } from './koala.file.interface';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FileButtonComponent implements OnInit {
    color: string;
    backgroundColor: string;
    icon: string;
    text: string;
    tooltip: string;
    disabled: boolean;
    multiple: boolean;
    accept: string;
    setFile: BehaviorSubject<File>;
    updateFileList: BehaviorSubject<KoalaFileInterface[]>;
    autoclear: boolean;
    getFiles: EventEmitter<KoalaFileInterface[]>;
    files: KoalaFileInterface[];
    style: string;
    private file;
    textSubject: BehaviorSubject<string>;
    ngOnInit(): void;
    emitFiles(files: FileList): Promise<void>;
    open(): void;
    private generateTextButton;
    private convertFile;
    static ɵfac: i0.ɵɵFactoryDef<FileButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FileButtonComponent, "koala-file-button", never, { "color": "color"; "backgroundColor": "backgroundColor"; "icon": "icon"; "text": "text"; "tooltip": "tooltip"; "disabled": "disabled"; "multiple": "multiple"; "accept": "accept"; "setFile": "setFile"; "updateFileList": "updateFileList"; "autoclear": "autoclear"; }, { "getFiles": "getFiles"; }, never, never>;
}
//# sourceMappingURL=file-button.component.d.ts.map