import { OnChanges, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { ThemePalette } from '@angular/material/core';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BtnSubmitComponent implements OnChanges {
    fg: FormGroup;
    color: ThemePalette;
    btnLabel: string;
    btnSubmitDisabled: boolean;
    loader: BehaviorSubject<boolean>;
    iconButton: boolean;
    icon: string;
    iconColor: 'blue' | 'red' | 'yellow' | 'black' | 'green';
    disabled: BehaviorSubject<boolean>;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDef<BtnSubmitComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<BtnSubmitComponent, "koala-submit", never, { "fg": "fg"; "color": "color"; "btnLabel": "btnLabel"; "btnSubmitDisabled": "btnSubmitDisabled"; "loader": "loader"; "iconButton": "iconButton"; "icon": "icon"; "iconColor": "iconColor"; }, {}, never, never>;
}
//# sourceMappingURL=btn-submit.component.d.ts.map