import { BehaviorSubject } from 'rxjs';
import { LoaderBarPageInterface } from '../../components/loader/loader-bar-page.interface';
import * as i0 from "@angular/core";
export declare const KOALA_LOADER_SUBJECT: BehaviorSubject<LoaderBarPageInterface>;
export declare class KoalaLoaderService {
    getLoaderSubject(): BehaviorSubject<LoaderBarPageInterface>;
    create(loaderConfig?: {
        progress?: number;
        typeLoader?: "buffer" | "determinate" | "query" | "indeterminate";
    }): void;
    dismiss(): void;
    static ɵfac: i0.ɵɵFactoryDef<KoalaLoaderService, never>;
    static ɵprov: i0.ɵɵInjectableDef<KoalaLoaderService>;
}
//# sourceMappingURL=koala.loader.service.d.ts.map