import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { KoalaNavigateHistoryInterface } from "./koala-navigate-history.interface";
import * as i0 from "@angular/core";
export declare class FolderComponent implements OnInit, OnChanges {
    titlePage: string;
    titleIcon: string;
    koalaIcon: boolean;
    customFolderFontColor: string;
    customFolderBackgroudColor: string;
    navigateHistory: KoalaNavigateHistoryInterface[];
    private folder;
    private folderTitle;
    private folderIconTitle;
    private folderNavigateHistory;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private setCustomBackgroundColor;
    static ɵfac: i0.ɵɵFactoryDef<FolderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FolderComponent, "koala-folder-page", never, { "titlePage": "titlePage"; "titleIcon": "titleIcon"; "koalaIcon": "koalaIcon"; "customFolderFontColor": "customFolderFontColor"; "customFolderBackgroudColor": "customFolderBackgroudColor"; "navigateHistory": "navigateHistory"; }, {}, never, ["[menu-page]", "[content]"]>;
}
//# sourceMappingURL=folder.component.d.ts.map