import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { KoalaDynamicFormFieldInterface } from '../dynamic-form/interfaces/koala.dynamic-form-field.interface';
import { ViacepService } from '../../../services/viacep/viacep.service';
import { BehaviorSubject } from 'rxjs';
import { KoalaDynamicSetValueInterface } from '../dynamic-form/interfaces/koala.dynamic-set-value.interface';
import { FloatLabelType, MatFormFieldAppearance } from '@angular/material/form-field';
import * as i0 from "@angular/core";
export declare class LocationFormComponent implements OnInit {
    private fb;
    private viacepService;
    formGroup: FormGroup;
    appereance: MatFormFieldAppearance;
    floatLabel: FloatLabelType;
    formLocationConfig: KoalaDynamicFormFieldInterface[];
    locationSubject: BehaviorSubject<KoalaDynamicSetValueInterface[]>;
    constructor(fb: FormBuilder, viacepService: ViacepService);
    ngOnInit(): void;
    private setLocation;
    static ɵfac: i0.ɵɵFactoryDef<LocationFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<LocationFormComponent, "koala-location-form", never, { "formGroup": "formGroup"; "appereance": "appereance"; "floatLabel": "floatLabel"; }, {}, never, never>;
}
//# sourceMappingURL=location-form.component.d.ts.map