import { OnInit } from '@angular/core';
import { KoalaMenuModuleInterface } from './koala.menu-module.interface';
import { Router } from '@angular/router';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare const menuStateSubject: BehaviorSubject<"open" | "close">;
export declare class MenuComponent implements OnInit {
    private router;
    titleMenu: string;
    optionsSubject: BehaviorSubject<KoalaMenuModuleInterface[]>;
    constructor(router: Router);
    ngOnInit(): void;
    toogle(module: KoalaMenuModuleInterface): void;
    private defineMenuOptions;
    static ɵfac: i0.ɵɵFactoryDef<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<MenuComponent, "koala-menu", never, { "titleMenu": "titleMenu"; "optionsSubject": "optionsSubject"; }, {}, never, never>;
}
//# sourceMappingURL=menu.component.d.ts.map