import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { KoalaNotificationInterface } from './koala.notification.interface';
import { Title } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class NotificationComponent implements OnChanges {
    private titleService;
    notifications: KoalaNotificationInterface[];
    deleteAll: EventEmitter<boolean>;
    delete: EventEmitter<KoalaNotificationInterface>;
    constructor(titleService: Title);
    ngOnChanges(changes: SimpleChanges): void;
    deleteAllNotifications(): void;
    deleteNotification(notification: KoalaNotificationInterface): void;
    static ɵfac: i0.ɵɵFactoryDef<NotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<NotificationComponent, "koala-notification-list", never, { "notifications": "notifications"; }, { "deleteAll": "deleteAll"; "delete": "delete"; }, never, never>;
}
//# sourceMappingURL=notification.component.d.ts.map