import { KoalaDynamicFormConfigInterface } from "../../../../components/form/dynamic-form/interfaces/koala.dynamic-form-config.interface";
import { BehaviorSubject, Observable } from "rxjs";
import { KoalaDynamicAutocompleteOptionsInterface } from "../../../../components/form/dynamic-form/interfaces/koala.dynamic-autocomplete-options.interface";
import { FormBuilder } from "@angular/forms";
import { KoalaDynamicFormAutocompleteMultipleConfigInterface } from "../../../../components/form/dynamic-form/interfaces/koala.dynamic-form-autocomplete-multiple-config.interface";
import { FieldBase } from "./field.base";
export declare class AutocompleteBuilder extends FieldBase {
    private service$;
    constructor(label: string, name: string, formConfig: KoalaDynamicFormConfigInterface, fb: FormBuilder);
    service(service: Observable<KoalaDynamicAutocompleteOptionsInterface[]>): this;
    defaultValueOnClean(value: any): this;
    loadOptions(type: 'all' | 'onDemand', onDemandFilter?: (filter: string) => Observable<KoalaDynamicAutocompleteOptionsInterface[]>): this;
    colorChipConfig(fn: (subject: BehaviorSubject<KoalaDynamicFormAutocompleteMultipleConfigInterface>) => void): this;
}
//# sourceMappingURL=autocomplete.builder.d.ts.map