import { FormBuilder, FormGroup } from '@angular/forms';
import { KoalaDynamicSetValueInterface } from '../../components/form/dynamic-form/interfaces/koala.dynamic-set-value.interface';
import { BehaviorSubject, Observable } from 'rxjs';
import { KoalaDynamicAutocompleteOptionsInterface } from '../../components/form/dynamic-form/interfaces/koala.dynamic-autocomplete-options.interface';
import { KoalaDynamicFormShowFieldInterface } from '../../components/form/dynamic-form/interfaces/koala.dynamic-form-show-field.interface';
import { DynamicFormBuilder } from "./builder/dynamic-form.builder";
import * as i0 from "@angular/core";
export declare class KoalaDynamicFormService {
    protected fb: FormBuilder;
    constructor(fb: FormBuilder);
    build(): DynamicFormBuilder;
    emitData(form: FormGroup): {};
    resetForm(form: FormGroup): void;
    setValuesInMoreItemsForm(subject: BehaviorSubject<BehaviorSubject<KoalaDynamicSetValueInterface[]>[]>, values: KoalaDynamicSetValueInterface[][]): void;
    autocompleteFilterOnServer(request: () => Promise<any[]>, nameConfig: {
        propsByName: string[];
        delimiter: string;
    }, indexNameByValue?: string): Observable<KoalaDynamicAutocompleteOptionsInterface[]>;
    showFields(subject: BehaviorSubject<KoalaDynamicFormShowFieldInterface[]>, names: string[], show: boolean, clearCurrentValue?: boolean): void;
    private getValueByStringPath;
    static ɵfac: i0.ɵɵFactoryDef<KoalaDynamicFormService, never>;
    static ɵprov: i0.ɵɵInjectableDef<KoalaDynamicFormService>;
}
//# sourceMappingURL=koala.dynamic-form.service.d.ts.map